// @ts-check
import { defineConfig } from 'astro/config';

import node from '@astrojs/node';

import tailwindcss from '@tailwindcss/vite';

// https://astro.build/config
export default defineConfig({
  // Ovo omogućuje dinamičke rute bez getStaticPaths
  output: 'server',

  adapter: node({
    mode: 'standalone'
  }),

  image: {
    // Dodaj domene s kojih Astro smije povlačiti i optimizirati slike
    domains: ['localhost', '127.0.0.1'], 
  },

  vite: {
    plugins: [tailwindcss()]
  }
});